Windows Server Backup

Windows Server Backup is a feature in Windows Server 2008 that provides a set of wizards and other tools for you to perform basic backup and recovery tasks for the server it is installed on. This feature has been updated in Windows Server 2008 R2. The previous backup feature (Ntbackup.exe) that was available with Windows Server 2003 and earlier versions of Windows has been removed.

For more information about backing up and recovering your servers, see the Windows Server 2008 Technical Library (http://go.microsoft.com/fwlink/?LinkId=93012). For information about the Wbadmin command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216).

  • Overview of Windows Server Backup

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Checklist: Recover Files, Folders, Applications, Volumes, or the Operating System

  • Install Windows Server Backup Tools

  • Backing Up Your Server

  • Recovering Your Server

  • Optimizing Backup and Server Performance

  • Using Windows Server Backup Cmdlets

  • Troubleshooting Backup and Recovery

  • Resources for Backup and Recovery

  • User Interface: Windows Server Backup


Overview of Windows Server Backup

Windows Server Backup consists of a Microsoft Management Console (MMC) snap-in, command-line tools, and Windows PowerShell cmdlets that provide a complete solution for your day-to-day backup and recovery needs. You can use Windows Server Backup to back up a full server (all volumes), selected volumes, the system state, or specific files or folders—and to create a backup that you can use for bare metal recovery. You can recover volumes, folders, files, certain applications, and the system state. And, in case of disasters like hard disk failures, you can perform a bare metal recovery. (To do this, you will need a backup of the full server or just the volumes that contain operating system files, and the Windows Recovery Environment—this will restore your complete system onto your old system or a new hard disk.)

You can use Windows Server Backup to create and manage backups for the local computer or a remote computer. And, you can schedule backups to run automatically.

Windows Server Backup is intended for use by everyone who needs a basic backup solution—from small business to large enterprises—but is even suited for smaller organizations or individuals who are not IT professionals.

Considerations

  • You must be a member of the Administrators group or Backup Operators group to use Windows Server Backup.

  • Certain backup or recovery tasks must be performed with two computers running the same version of Windows Server 2008 or Windows Server 2008 R2, while others may be performed with computers running either version. For more information about compatibility, see http://go.microsoft.com/fwlink/?LinkId=143709.

  • To perform a system state or full system recovery, you must use backups from the same version of Windows that you are recovering. For example, you cannot use a backup from Windows Server 2008 to recover the system state of a computer running Windows Server 2008 R2.

  • The firewall may be enabled. If you are managing the backups of another computer using the Windows Server Backup snap-in, your connectivity to the remote computer may be affected and can be resolved by changes in the firewall rules. While working on the local computer, you are not affected.

  • Windows Server Backup does not support backing up of data from or storing backups on Clustered Shared Volumes. (You can, however, back up virtual machines using Windows Server Backup from within the virtual machine.) For more information about managing failover clusters, see http://go.microsoft.com/fwlink/?LinkID=92360. For more information about managing Hyper-V, see http://go.microsoft.com/fwlink/?LinkID=93752. And for more information about Hyper-V and cluster shared volumes, see http://go.microsoft.com/fwlink/?LinkID=139667.

  • If you are using a virtual hard disk to store backups, if the virtual hard disk is on a physical disk that contains system volumes or critical volumes, there may be limitations to what you can recover. In addition, virtual volume files will be excluded from the backup if the virtual volumes are online. For more information about working with virtual hard disks, see http://go.microsoft.com/fwlink/?LinkId=143712.

  • If you are a current user of the previous backup feature (Ntbackup.exe), and plan to switch to the new Windows Server Backup, you might be affected by the following issues and changes:

    • Settings for creating backups will not be upgraded when you upgrade to Windows Server 2008. You will need to reconfigure settings.

    • You cannot use Windows Server Backup to back up file and folders on volumes that require more than 2040 GB (or 2 TB). However, as long as the data size is less than 2 TB, you can perform a file or folder backup. For example, you can back up 1.5 TB of data from a 3-TB volume. But, a full server or volume recovery using the backup will recreate a 2-TB volume instead of a 3-TB volume.

    • Only NTFS-formatted volumes on a locally attached disk can be backed up. (For instructions to convert a FAT partition to a NTFS partition, see http://go.microsoft.com/fwlink/?LinkID=70318.)

    • You cannot store backups on tape. (However, support of tape storage drivers is still included in Windows Server 2008). Windows Server Backup supports backing up to external and internal disks, optical and removable media such as DVDs, and remote shared folders.

    • You cannot recover backups that you created with Ntbackup.exe by using Windows Server Backup. However, a version of Ntbackup.exe is available as a download to Windows Server 2008 for users who want to recover data from backups created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for recovering backups for older versions of Windows and cannot be used to create new backups in Windows Server 2008. To download Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

New functionality

Windows Server Backup in Windows Server 2008 R2 includes the following improvements:

  • More flexibility in what you can back up. Windows Server Backup enables you to back up selected files instead of full volumes. You can also exclude files based on file type and path.

  • Automatic management of full and incremental backups. You no longer need to manage full and incremental backups. Instead, Windows Server Backup will, by default, create an incremental backup that behaves like a full backup. You can recover any item from a single backup, but the backup will only occupy space needed for an incremental backup. In addition, Windows Server Backup does not require user intervention to periodically delete older backups to free up disk space for newer backups—older backups are deleted automatically.

  • Expanded options for backup storage. You can now store backups created using a scheduled backup on a remote shared folder or volume. (If you store backups on a remote shared folder, only one version of your backup will be maintained.) You can also store backups on virtual hard disks.

  • Improved options for system state backups and recoveries. You can now use the Windows Server Backup snap-in user interface to create backups that you can use to perform system state recoveries. In addition, you can now use a single backup to back up both the system state and other data on your server. These system state backups are now faster and require less space for multiple versions because they use shadow copies for versioning, similar to volume based backups, and not individual folders for each version. For more information about how system state backups are stored on Windows Server 2008 R2, see http://go.microsoft.com/fwlink/?LinkId=143713.

  • Expanded command-line and Windows PowerShell support. The Wbadmin command and documentation enable you to perform the same tasks at the command line that you can perform by using the snap-in. For more information, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216). You can also automate backup activities through scripting.

    Changes to this command are the same as the changes for the Windows Server Backup snap-in.

    In addition, Windows Server 2008 R2 contains an updated collection of Windows PowerShell cmdlets for Windows Server Backup that you can use to write Windows PowerShell scripts to perform backups. For more information, see http://go.microsoft.com/fwlink/?LinkId=140217.

Supported operating systems

Windows Server Backup is available in all editions of Windows Server 2008 and Windows Server 2008 R2. However, like other snap-ins, the Windows Server Backup snap-in is not available for the Server Core installation option of Windows Server 2008 R2. To run backups for computers with a Server Core installation, you need to use the Wbadmin command, Windows PowerShell cmdlets for Windows Server Backup, or manage backups remotely from another computer.

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Checklist: Recover Files, Folders, Applications, Volumes, or the Operating System

  • Install Windows Server Backup Tools

  • Backing Up Your Server

  • Recovering Your Server

  • Troubleshooting Backup and Recovery

  • Resources for Backup and Recovery

  • User Interface: Windows Server Backup

  • For more information about backing up or recovering your server, see http://go.microsoft.com/fwlink/?LinkId=93012.


Checklist: Schedule Automatic Backups

You can use the Backup Schedule Wizard in Windows Server Backup to schedule backups that run automatically once or more per day.

Important
  • You can save scheduled backups to one or more attached disks (either internal or external)—or, new in Windows Server 2008 R2, you can save a scheduled backup to a volume or a remote shared folder. If you use disks, they must be available and online for the schedule to be configured and for you to complete the wizard. However, later when you start running scheduled backups, if you are using multiple disks, we recommend that you only connect one at a time so that backups will keep being saved to the same disk. Then, when you want to move that set of backups offsite, attach another disk in the series.
  • You can choose multiple volumes to store backups. However, we recommend that you only do this if the disks that contain the volumes can be moved offsite (as with using multiple disks). You may also choose to store backups on volumes if you do not want to format the disk before the first backup is created. For example, if the disk that you want to use to store backups also contains other data or another server’s backups, if you store backups on a volume contained on the disk, instead of dedicating the entire disk for backups, the disk will not be formatted before the first backup is created.
  • If you use a remote shared folder, make sure that the folder is available, that you have write access to the folder, and that you are a member of the Administrators group or Backup Operators group on the computer hosting the folder. Each time you create a backup, it will overwrite the older backups so that you will only have one backup at a time. The backup will inherit the access control list (ACL) permissions of the folder.

You can also create scheduled backups using the Wbadmin enable backup command or the Windows PowerShell cmdlets for Windows Server Backup. For examples and syntax for the Wbadmin command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93106). For examples and syntax for the Windows Server Backup cmdlets, see the Windows PowerShell reference (http://go.microsoft.com/fwlink/?LinkId=143721).

This checklist describes how to schedule automatic backups using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • How many times a day and at what times you want to run backups.

  • Whether you will use a volume, a single disk, multiple disks, or a remote shared folder to store the backups.

    Note

    If you use a volume to store backups, only a single volume per physical disk can be selected.

  • Which files, folders, or volumes you want to back up and whether the backups will need to be used for bare metal, full server (all volumes), or system state recovery.

Windows Server Backup; Backing Up Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Install Windows Server Backup Tools

Run the Backup Schedule Wizard and follow the instructions in the wizard.

Configuring Automatic Backups; Backup Schedule Wizard

If needed, configure the backup to save to multiple disks that you can rotate offsite.

Configure a Backup Schedule for Multiple Storage Disks

After the backup is scheduled and a backup has been created, run a test recovery with the backup to make sure you are able to recover the items that you had intended. To do this, you can either wait for the first scheduled backup to run or you can create a one-time backup immediately using the Backup Once Wizard or the Wbadmin start backup command and the same settings that you used for the scheduled backups.

Performing a Manual Backup; Recovering Your Server

Periodically review the backup schedule to confirm that it still meets the needs of your business and consider revising it when you add or remove volumes, applications, features, or roles. In addition, check the status of your backups using the Windows Server Backup user interface, the Wbadmin get status command, or the Windows PowerShell cmdlets for Windows Server Backup.

Modify or Stop an Automatic Backup Schedule

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=143722).

Additional resources

  • Checklist: Perform a Manual Backup

  • Checklist: Recover Files, Folders, Applications, Volumes, or the Operating System


Checklist: Perform a Manual Backup

You can use the Backup Once Wizard in Windows Server Backup to create single backups of your computer.

You can also create one-time backups using the Wbadmin start backup or Wbadmin start systemstatebackup commands or the Windows PowerShell cmdlets for Windows Server Backup. For syntax and examples for Wbadmin, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216). For examples and syntax for the Windows Server Backup cmdlets, see the Windows PowerShell reference (http://go.microsoft.com/fwlink/?LinkID=143721).

This checklist describes how to perform a manual backup using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • Where you will store the backup.

  • Which volumes you want to back up and whether the backups will need to be used for operating system (critical volumes only), full server (all volumes), system state, or bare metal recovery.

Windows Server Backup; Backing Up Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Install Windows Server Backup Tools

Run the Backup Once Wizard and follow the instructions in the wizard.

Performing a Manual Backup; Backup Once Wizard

After the backup is created, run a test recovery using the backup to confirm that you are able to recover the items that you intended.

Recovering Your Server

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Recover Files, Folders, Applications, Volumes, or the Operating System


Checklist: Recover Files, Folders, Applications, Volumes, or the Operating System

You can use the following tools to perform recovery tasks:

  • Recovery Wizard in Windows Server Backup. This wizard helps you recover files and folders, applications, volumes, and the system state.

  • Catalog Recovery Wizard in Windows Server Backup. This wizard helps you recover the backup catalog, a file that stores details about your backups. This wizard is only available if your backup catalog has become corrupted.

  • Windows Recovery Environment and a backup created with Windows Server Backup. Windows Recovery Environment can be accessed from a computer running Windows Server 2008 R2 or a Windows Setup disc. This method helps you recover your operating system or full server.

You can also perform recoveries using the Wbadmin start recovery, Wbadmin start systemstaterecovery, and Wbadmin restore catalog commands. For syntax and examples, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216).

This checklist describes how to recover data using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • What you want to recover.

  • What backup you will use to recover from.

  • Where you want to recover to.

Windows Server Backup; Recovering Your Server; Backing Up Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Install Windows Server Backup Tools

If needed, attach any drives or make sure any remote shared folders that you need are available and that you have access to them. Also, make sure that you understand the limitations of different storage and recovery types.

Recovering Your Server; Backing Up Your Server

Run the Recovery Wizard and follow the instructions in the wizard that are specific to what you want to recover.

Recover Files and Folders; Recover Applications and Data; Recover Volumes; Recover the System State

This checklist describes how to recover data using the Windows Recovery Environment and a backup that you created using Windows Server Backup.

Task References

Before you begin, make sure you have a Windows Setup disc or that the Windows Recovery Environment is installed on a separate partition on your server, review concepts and requirements, and then determine the following:

  • What backup you will use to recover from.

  • Where you want to recover to (the same computer or another computer) and whether it has enough space for what you are recovering.

  • Whether you want to recover all critical volumes (volumes containing operating system components—you can exclude non-critical volumes during the recovery) or the full server (all volumes).

Windows Server Backup; Recovering Your Server; http://go.microsoft.com/fwlink/?LinkId=93012; http://go.microsoft.com/fwlink/?LinkId=94458; Recover the Operating System or Full Server

Perform the recovery and follow the instructions in the user interface.

Recover the Operating System or Full Server

This checklist describes how to recover the backup catalog using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine what backup you will use to recover from. Or, if you do not have a backup to recover from, determine whether you want to just delete the catalog and start over with your backups.

Windows Server Backup; Recovering Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

Run the Catalog Recovery Wizard and follow the instructions.

Note

The Catalog Recovery Wizard will not appear in Windows Server Backup unless you have a corrupted catalog.

After you run the wizard, close and then reopen Windows Server Backup to refresh the status.

Recover a Backup Catalog; Catalog Recovery Wizard

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup


Install Windows Server Backup Tools

To access backup and recovery tools, you must install the Windows Server Backup Features and subordinate items that are available in the Add Features Wizard in Server Manager. This installs the following tools:

  • Windows Server Backup Microsoft Management Console (MMC) snap-in

  • Wbadmin command-line tool

  • Windows PowerShell cmdlets for Windows Server Backup

To install backup and recovery tools

  1. Click Start, click Administrative Tools, click Server Manager, in the left pane click Features, and then in the right pane click Add Features. This opens the Add Features Wizard.

  2. In the Add Features Wizard, on the Select Features page, expand Windows Server Backup Features, and then select the check boxes for Windows Server Backup and Command-line Tools.

    Note

    Or, if you just want to install the snap-in and the Wbadmin command-line tool, expand Windows Server Backup Features, and then select the Windows Server Backup check box only—make sure the Command-line Tools check box is clear.

  3. On the Confirm Installation Selections page, review the choices that you made, and then click Install. If there is an error during the installation, it will be noted on the Installation Results page.

  4. Then, to access these backup and recovery tools, do the following:

    • To access the Windows Server Backup snap-in, click Start, click Administrative Tools, and then click Windows Server Backup.

    • To access and view the syntax for Wbadmin, click Start, right-click Command Prompt, and then click Run as administrator. At the prompt, type: wbadmin /?

    • For instructions to access and view the Help for the Windows PowerShell Windows Server Backup cmdlets, see Using Windows Server Backup Cmdlets.

Additional considerations

  • To install Windows Server Backup features in Server Manager, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • To install Windows Server Backup on a Server Core installation, you can use the command line for Server Manager. For instructions, see http://go.microsoft.com/fwlink/?LinkId=143737. For additional instructions to install roles on Server Core installations, see http://go.microsoft.com/fwlink/?LinkID=129805.

  • You can also access Windows Server Backup from Server Manager. To do this, in the left pane double-click Storage, and then double-click Windows Server Backup.

Additional references

  • Windows Server Backup

  • Wbadmin command (http://go.microsoft.com/fwlink/?LinkId=140216)


Backing Up Your Server

You can use Windows Server Backup to protect your operating system, system state, volumes, files, and application data. Backups can be saved to single or multiple disks, single or multiple volumes, DVDs, removable media, or remote shared folders. They can be scheduled to run automatically or manually.

You can create a backup using the Backup Schedule Wizard to enable backups to be run on a regular schedule or using the Backup Once Wizard to run a one-time backup. You can access both of these wizards from the Windows Server Backup Microsoft Management Console (MMC) snap-in. You can also create regular or one-time backups using the Wbadmin command or Windows PowerShell cmdlets for Windows Server Backup.

Windows Server Backup creates complete backups that allow you to perform recoveries of your computer without needing to reference another backup. However, these backups are optimized to behave like incremental backups, to increase backup performance and save space. In addition, if you use a disk or volume to store backups, Windows Server Backup automatically deletes older backups as a storage location becomes full. For more information about incremental and full backups, see Optimizing Backup and Server Performance.

When you create a backup and save it to a storage location, the backup that you create will be saved in a folder WindowsImageBackup\<ComputerBackedUp>. In addition to the backup, this folder includes catalog files that contain information about all backups on that location up to the current backup, and a file, MediaId, that contains the identifier for the backup storage location. This information is required to perform a recovery.

For instructions specific to backing up Active Directory Domain Services, see http://go.microsoft.com/fwlink/?LinkId=143748.

This section contains instructions to help you do the following:

  • Configuring Automatic Backups

  • Performing a Manual Backup

  • Create Backups of the System State Using a Command Line

  • Backing Up Applications and Data

Choosing what to back up

As part of creating a backup, you will need to specify the files, folders, or volumes that you want to include. The items that you select to back up will impact what you can recover.

Note

You cannot use Windows Server Backup to back up file and folders on volumes that require more than 2040 GB (or 2 TB). However, as long as the data size is less than 2 TB, you can perform a file or folder backup. For example, you can back up 1.5 TB of data from a 3-TB volume. But, a full server or volume recovery using the backup will recreate a 2-TB volume instead of a 3-TB volume.

You have the following options:

Items in backup | Resulting recovery options
Full server (all volumes) | Back up all volumes if you want to be able to recover the full server. You can use a full server backup to perform all types of recoveries, including system state and bare metal recoveries. We recommend this option.
Critical volumes/Bare metal recovery | Choose to create a backup for bare metal recovery if you want to back up the items needed to recover the operating system (critical volumes only). This option is a subset of a full server backup.
System state | Choose to back up the system state if you want to back up the items needed to perform a system state recovery. This option is a subset of a full server backup.
Individual volumes | Back up just individual volumes if you only want to be able to recover files, applications, or data from those volumes.
Folders or files | Back up just individual folders or files if you only want to be able to recover those items.

Choosing a storage location

You will also need to specify a location to store the backups that you create. The type of storage location that you choose will impact what you can recover.

Note
  • The size of the location to store backups should be at least 1.5 times the backup size to enable you to store a couple of backup versions.

  • You cannot use tape drives as a backup storage location for Windows Server Backup. However, support of tape storage drivers is still included in Windows Server 2008 and Windows Server 2008 R2.

  • You cannot store backups on disks that are formatted FAT32—the disks should be formatted NTFS because Windows Server Backup uses shadow copies to maintain backup versions. You can use the Format command to reformat the disk or the Convert command to change the format. For syntax for Convert, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=143749).

  • You cannot store backups on USB flash drives or pen drives.

Storage type Details

Remote shared folder

You can store both one-time (ad hoc) backups and scheduled backups on remote shared folders. (The capability to store scheduled backups on remote shared folders is new for Windows Server 2008 R2.) Then, you can use backups stored on remote shared folders to recover files, folders, system state, applications, and full volumes—or to perform bare metal recoveries.

If you store your backup in a remote shared folder, your backup will be overwritten each time you create a new backup. Do not choose this option if you want to store multiple backups.

Also, if you create a backup to a shared folder that already contains a backup, if the backup process fails, you might be left without any backups.

DVD, other optical media, or removable media

You can store only one-time backups (not scheduled backups) on optical or removable media. Then, you can use backups stored on optical or removable media to perform full volume or bare metal recoveries. You cannot recover applications, individual files, or the system state from backups stored on optical or removable media.

New in Windows Server 2008 R2, if the free space on the media is greater than 1 GB, removable media is formatted as NTFS, and optical media is formatted as Universal Disk Format (UDF), then the media will not be reformatted before backups are saved to the media—so that the media can be used to store other data. In Windows Server 2008, DVDs and removable media are always formatted before backups are stored on them.

Backups stored on DVDs will be compressed and will occupy less space than backups saved to hard disks.

Internal hard disk

You can store both one-time and scheduled backups on an NTFS-formatted disk or a GUID partition table (GPT)–formatted disk. However, if you store scheduled backups on an internal disk, you have the option of dedicating that disk for storage. Then, the disk you choose will be dedicated for storing your scheduled backups and will not be visible in Windows Explorer.

You can use the backups stored on internal disks to:

  • Recover files, folders, applications, and volumes.

  • Perform operating system (bare metal) recoveries if the backup used contains all the critical volumes.

  • Perform system state recoveries if the backup used contains the system state.

However, you cannot perform a full system or bare metal recovery if the backup is on the same physical disk as one or more critical volumes. You can perform system state recoveries and also recoveries of volumes (where no partitioning is done).

Finally, if you use a volume to store backups, and you store other data on that volume as well, write operation performance may decrease up to 200 percent on the volume (read operations are not affected). We recommend that you do not store other data on the volume with your backups.

External hard disk

If you store your backup on an NTFS-formatted or GPT-formatted external hard disk, you can:

  • Recover files, folders, applications, and volumes.

  • Perform system state and operating system (bare metal) recoveries if the backup used contains the needed items.

  • Move backups offsite for disaster protection more easily.

However, as with internal disks, you have the option of dedicating the disk for storage so that it will not appear in Windows Explorer. And, if you use a volume to store backups, and you store other data on that volume as well, I/O performance may decrease on the volume. We recommend that you do not store other data on the volume with your backups.

Important
  • If you are using a virtual hard disk to store backups and if the virtual hard disk is on a physical disk that contains system volumes or critical volumes, there may be limitations to what you can recover. In addition, virtual volume files will be excluded from the backup if the virtual volumes are online. For more information about working with virtual hard disks, see http://go.microsoft.com/fwlink/?LinkID=143712.

  • If you are using a dynamic disk instead of a basic disk to store backups, you will not be able to perform bare metal recoveries with backups stored on the dynamic disk. However, you will be able to perform other types of recoveries. For more information about using dynamic disks, see http://go.microsoft.com/fwlink/?LinkId=143750.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure that the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional considerations

  • To use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

Additional references

  • Windows Server Backup

  • Install Windows Server Backup Tools

  • Recovering Your Server

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Using Windows Server Backup Cmdlets

  • Wbadmin command in the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216)


Configuring Automatic Backups

You can protect your server computer running Windows Server 2008 or Windows Server 2008 R2 and its data automatically by scheduling daily backups. To configure scheduled backups, you will need to first:

  • Decide what you want to include in your backups and where you want to store them. (For more information, see Backing Up Your Server.)

  • Decide whether to run backups once a day or more often.

Note

You cannot use Windows Server Backup to back up files and folders in volumes that require more than 2040 GB.

Then, you can create scheduled backups using the following methods:

  • You can create a backup schedule using the Backup Schedule Wizard accessed from the Windows Server Backup user interface (Wbadmin.msc).

  • You can use the Windows PowerShell cmdlets for Windows Server Backup. For more information, see Using Windows Server Backup Cmdlets.

  • You can use the Wbadmin enable backup command to directly configure scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93106.

  • You can use the Wbadmin start backup command with Task Scheduler to create a series of scheduled tasks.

This section contains instructions to help you do the following:

  • Configure Automatic Backups to an Attached Disk

  • Configure Automatic Backups to a Volume

  • Configure Automatic Backups to a Remote Shared Folder

  • Configure Automatic Backups with Task Scheduler

  • Modify or Stop an Automatic Backup Schedule

  • Configure a Backup Schedule for Multiple Storage Disks

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • After your scheduled backups start running, periodically review the schedule to confirm that it still meets the needs of your business and consider revising it when you add or remove volumes, applications, features, or roles. In addition, check the status of your backups using the Windows Server Backup user interface, the Wbadmin get status command, or the Windows PowerShell cmdlets for Windows Server Backup.

Additional references

  • Backing Up Your Server

  • Install Windows Server Backup Tools


Configure Automatic Backups to an Attached Disk

You can protect your server running Windows Server 2008 or Windows Server 2008 R2 and its data automatically by scheduling daily backups to attached internal or external hard disks. To configure scheduled backups, you will need to first:

  • Identify a location for storing your backups. (For more information about choosing a storage location, see Backing Up Your Server.) Make sure that any hard disks for storing your backups are attached and online. As a best practice, if you use an external hard disk, choose one that supports either USB 2.0 or IEEE 1394. We recommend the disk have at least 2.5 times the storage capacity of the set of items that you want to back up. If you a dedicated disk for storing backups, it should either be empty or contain data that you do not need to keep because Windows Server Backup will format and clean up this disk as part of preparing it for the backup.

  • Decide what to include in the backup−the full server or only certain items. (For more information about choosing what to back up, see Backing Up Your Server.)

Note
  • You can use the Windows Server Backup cmdlets for Windows PowerShell to configure scheduled backups. For more information, see Using Windows Server Backup Cmdlets.

  • You can also use the Wbadmin enable backup command to configure scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143762.

To create a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting Started page, click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain items, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files on a disk or volume, expand the folder tree and select the items that you want to include. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

      3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK and then click Next.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then select the time from the drop-down list to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Specify Destination Type page, select Back up to a hard disk that is dedicated for backups (recommended) and then click Next.

  7. On the Select Destination Disk page, select the check box for the disk that you attached for this purpose, and then click Next.

    By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the list is empty, or the disk that you want to use is not listed, click Show All Available Disks. In Show All Available Disks, select the check box next to the disk that you want to use to store the backups, click OK, and then on Select Destination Disk, select the check box for the disk again. This disk will no longer be visible in Windows Explorer—to prevent data from accidentally being stored on the drive and then overwritten, and to prevent accidental loss of backups.

    A message informs you that the selected disk will be formatted and any existing data will be deleted. Click Yes. Do not click Yes if you have data on the disk that you need. To use a different disk, click No, and then select a different disk under Available disks.

    Important

    We recommend that you record and then physically attach the label information to any external disks that you are using to store backups. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

  8. On the Confirmation page, review the details, and then click Finish. If you have dedicated a disk for storage, the wizard formats the disk, which may take several minutes depending on the size of the disk.

  9. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

  • You can use multiple external disks to store the data, and rotate them between onsite and offsite storage locations. For instructions, see Configure a Backup Schedule for Multiple Storage Disks.

  • After you create a backup schedule, you should revisit the settings periodically to confirm that your hardware configuration has not changed and that you are still backing up everything you intended to. For instructions, see Modify or Stop an Automatic Backup Schedule.

Additional references

  • Configuring Automatic Backups

  • Install Windows Server Backup Tools


Configure Automatic Backups to a Volume

You can protect your server running Windows Server 2008 R2 and its data automatically by scheduling daily backups to volumes. To configure scheduled backups, you will need to first:

  • Identify a location for storing your backups. (For more information about choosing a storage location, see Backing Up Your Server.) If you choose to store backups as well as other data on a volume, instead of dedicating an entire disk, there may be a decrease in I/O performance for write operations (up to 200 percent).

  • Decide what to include in the backup−the full server or only certain items. (For more information about choosing what to back up, see Backing Up Your Server.)

Note
  • You can use the Windows Server Backup cmdlets for Windows PowerShell to configure scheduled backups. For more information, see Using Windows Server Backup Cmdlets.

  • You can also use the Wbadmin enable backup command to configure scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143762.

To create a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting Started page, click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain items, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files, expand the folder tree and select the items that you want to include. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

      3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then select the time from the drop-down list to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Specify Destination Type page, select Back up to a volume.

  7. Select Back up to a volume. On the Select Destination Volume page, click Add. In Add volumes, click the volume(s) that you want to use, and then click OK.

    Note

    You cannot select multiple volumes on the same disk to store backups. You can only add one volume per disk.

  8. On the Confirmation page, review the details, and then click Finish. If you have dedicated a disk for storage, the wizard formats the disk, which may take several minutes depending on the size of the disk.

  9. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

  • After you create a backup schedule, you should revisit the settings periodically to confirm that your hardware configuration has not changed and that you are still backing up everything you intended to. For instructions, see Modify or Stop an Automatic Backup Schedule.

Additional references

  • Configuring Automatic Backups

  • Install Windows Server Backup Tools


Configure Automatic Backups to a Remote Shared Folder

You can protect your server running Windows Server 2008 R2 and its data automatically by scheduling daily backups to a remote shared folder. To configure scheduled backups, you will need to first:

  • Identify a location for storing your backups. (For more information about choosing a storage location, see Backing Up Your Server.) If you store your scheduled backups in a remote shared folder, the backup will be overwritten each time you create a new backup. Do not choose this option if you want to store multiple backups.

  • Make sure you have access to an account that is a member of the Administrators or Backup Operators group for the computer that you are using to perform the backup and the computer that contains the remote shared folder. In addition, make sure that you have write access to the remote shared folder.

  • Decide what to include in the backup−the full server or only certain items. (For more information about choosing what to back up, see Backing Up Your Server.)

Important

If you create a backup to a remote shared folder that already contains a backup, if the backup process fails, you might be left without any backups.

Note
  • You can use the Windows Server Backup cmdlets for Windows PowerShell to configure scheduled backups. For more information, see Using Windows Server Backup Cmdlets.

  • You can use the Wbadmin enable backup command to configure scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143762.

To create a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting Started page, click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain items, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files, expand the folder tree and select the items that you want to include. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

      3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK, and then click Next.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then select the time from the drop-down list to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Specify Destination Type page, select Back up to a shared network folder.

  7. On the Specify Remote Shared Folder page, type the path to the folder. In this folder, a folder named WindowsImageBackup will be created. The backup that you create will be saved at: \\<RemoteServer>\<SharedFolderPath>\WindowsImageBackup\<ComputerBackedUp>. Click Next.

  8. The Register Backup Schedule dialog box will appear. Type a user name and password for a user account that is a member of the Administrators group or Backup Operators group and has write permissions on the computer that is hosting the remote shared folder, and then click OK.

  9. On the Confirmation page, review the details, and then click Finish.

  10. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

  • After you create a backup schedule, you should revisit the settings periodically to confirm that your hardware configuration has not changed and that you are still backing up everything you intended to. For instructions, see Modify or Stop an Automatic Backup Schedule.

Additional references

  • Configuring Automatic Backups

  • Install Windows Server Backup Tools


Configure Automatic Backups with Task Scheduler

If you want to create a schedule to run backups at different times on different days, you can use Task Scheduler to create a series of tasks to run the Wbadmin start backup command on the desired schedule or to launch a batch file. (These tasks will not appear in the Windows Server Backup Microsoft Management Console (MMC) snap-in.) However, if you do this, you should make sure that backups that are run as part of the custom schedule do not overlap with backups that are run as part of the regular backup schedule. If there are conflicts, one of the backup operations will fail. The following task uses the command syntax for Windows Server 2008 R2.

To use Task Scheduler and the Wbadmin command to create a backup schedule

  1. Click Start, click Administrative Tools, and then click Task Scheduler.

  2. In the Actions pane, click Create Task.

  3. On the General tab, select the Run with highest privileges check box.

  4. On the Actions tab, click New, and then do the following:

    1. In the Actions drop-down list, click Start a program.

    2. In Program/script, type:

      %windir%\System32\wbadmin.exe

    3. In Add arguments, type:

      start backup [-backupTarget:{<TargetVolume> | <TargetNetworkShare>}] [-include:<ItemsToInclude>] [-nonRecurseInclude:<ItemsToInclude>] [-exclude:<ItemsToExclude>] [-nonRecurseExclude:<ItemsToExclude>] [-allCritical] [-systemState] [-noVerify] [-user:<UserName>] [-password:<Password>] [-noInheritAcl] [-vssFull | -vssCopy] [-quiet]

    To view help for this command, at a command line, type:

    wbadmin start backup /?

  5. Repeat step 4 for each backup that you want to add.

  6. For the rest of the fields, follow the general instructions in the Task Scheduler help for scheduling a task.

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • You can also perform this task directly using the Schtasks command. For examples, see http://go.microsoft.com/fwlink/?LinkId=143764. For syntax for Schtasks, see the Command Reference (http://go.microsoft.com/fwlink/?LinkID=143763).

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup MMC snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Configure Automatic Backups with Task Scheduler

  • Install Windows Server Backup Tools


Modify or Stop an Automatic Backup Schedule

Once you have created a backup schedule using Windows Server Backup, you should periodically review the schedule to confirm that it still meets the needs of your business. In addition, you should review the configuration of the scheduled backups and consider revising it when you add or remove applications, features, roles, volumes, or disks. The selections that were made when the backup schedule was created are reflected in the Backup Schedule Wizard when you run it again to make modifications.

Note
  • You can use the Windows Server Backup cmdlets for Windows PowerShell to update scheduled backups. For more information, see Using Windows Server Backup Cmdlets.

  • You can use the Wbadmin enable backup command to update scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143762.

To update a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Modify Scheduled Backup Settings page, click Modify backup, and then click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain volumes, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files on a disk or volume, expand the folder tree and select the items that you want to include. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

      3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK and then click Next.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then enter a new time to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Under Scheduled time, click Remove to delete a time. Repeat for each start time that you want to add to or remove from the schedule.

  6. On the Specify Destination Type page, do one of the following and then click Next:

    • Select Back up to a hard disk that is dedicated for backups (recommended). On the Keep or Change Backup Destinations page click one of the following, and then click Next:

      • Click Keep current backup destinations.

      • Click Add more backup destinations, and then click Next. On the Select Destination Disk page, select the check box for the disk that you want to use, and then click Next.

        Note

        By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the disk that you want to use is not listed, click Show All Available Disks. Then select the check box next to each disk that you want to use to store the automatic backups.

      • Click Remove current backup destinations, and then click Next. On the Remove Current Destinations page, select the check box for the items you want to remove, and then click Next.

    • Select Back up to a volume. On the Select Destination Volume page, click Add. In Add volumes, click the volume that you want to use, click OK, and then click Next.

    • Select Back up to a shared network folder. On the Specify Remote Shared Folder page, type the path to the folder. In this folder, a folder named WindowsImageBackup will be created. The backup that you create will be saved at: \\<RemoteServer>\<SharedFolderPath>\WindowsImageBackup\<ComputerBackedUp>. Click Next.

  7. On the Confirmation page, review the details, and then click Finish. The wizard modifies the schedule and formats any added disks.

  8. On the Summary page, click Close.

You can also use this wizard to stop running scheduled backups.

To stop running scheduled backups using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Modify Scheduled Backup Settings page, click Stop backup to stop running scheduled backups and release the disk or disks where you were storing the backups, and then click Next.

  4. On the Confirmation page, review the details, and then click Finish. You will see a message asking you to confirm the change. Click Yes.

  5. On the Summary page, click Close.

Additional considerations

  • To modify a backup schedule using Windows Server Backup, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Backing Up Your Server

  • Install Windows Server Backup Tools

  • Configuring Automatic Backups


Configure a Backup Schedule for Multiple Storage Disks

You can use multiple external disks to store backups, and you can rotate the disks between onsite and offsite storage locations. This can improve your disaster preparedness planning by helping you recover your data if physical damage occurs to the hardware onsite.

For the best protection, we recommend that you follow this practice of disk rotation. To accomplish this, you would visit the offsite location to drop off the most recent backup and retrieve the oldest backup. When you return to your onsite location, insert the disk that you brought from the offsite location.

To configure a backup schedule for multiple disks

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting Started page, click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server.

    • Click Custom to back up just certain items, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files on a disk or volume, expand the folder tree and select the items that you want to include. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

      3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK and then click Next.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then enter the time to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Specify Destination Type page, select Back up to a hard disk that is dedicated for backups (recommended) and then click Next.

  7. On the Select Destination Disk page, select the disks that you want to use to store backups, and then click Next.

    By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the list is empty, or the disks that you want to use are not listed, click Show All Available Disks. In Show All Available Disks, select the check boxes next to the disks that you want to use to store the backups, click OK, and then on Select Destination Disk, select the check boxes for the disks again. These disks will no longer be visible in Windows Explorer—to prevent data from accidentally being stored on the disks and then overwritten, and to prevent accidental loss of backups.

  8. A message informs you that any one of the disks that you selected may be chosen to store the first backup. Click OK.

  9. A message informs you that the selected disks will be formatted and any existing data will be deleted. Click Yes. Do not click Yes if you have data on the disks that you need. To use different disks, click No, and then select different disks under Available disks.

  10. On the Label Destination Disk page, each disk that you selected is listed. A label that includes your computer name, the current date, the current time, and a disk name is assigned to each disk. Click Next.

    Important

    We recommend that you record and then physically attach the label information to each external disk. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

  11. On the Confirmation page, review the details, and then click Finish. The wizard formats the disk, which may take several minutes depending on the size of the disk.

  12. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup using Windows Server Backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

  • To force a backup to be saved to a particular disk, you can detach or disable all other disks in the backup series.

Additional references

  • Backing Up Your Server

  • Install Windows Server Backup Tools

  • Configuring Automatic Backups


Performing a Manual Backup

You can create a backup by using the Backup Once Wizard, which is available in the Windows Server Backup snap-in—or by using the Wbadmin start backup command. The ability to perform one-time backups is intended for you to use to create backups that supplement regularly scheduled backups. We recommend that you do not use one-time backups as the only means of creating backups (see Configuring Automatic Backups).

You can also use the Windows PowerShell cmdlets for Windows Server Backup to run one-time backups. For more information, see Using Windows Server Backup Cmdlets.

To supplement your regular backups, you can use the Backup Once Wizard or Wbadmin start backup to:

  • Back up volumes that are not included in regular backups.

  • Back up volumes that contain important items before making changes such as installing updates or new features.

  • Create a backup of regularly scheduled items in a different location than where scheduled backups are stored.

Important

We recommend that, if possible, you store one-time backups and scheduled backups on different locations. If you save one-time backups and scheduled backups to the same location, backup operations may fail due to conflicts or lack of space, and stored backup versions will be lost. If you must use the same storage location, make sure that there is enough space to save the backup before you run the operation. In addition, if you use the Backup Once Wizard, you will be prevented from saving backups to the same location if you choose to use custom settings. And, if you use Wbadmin start backup to save one-time backups to the same location as scheduled backups, you will receive a warning that the scheduled backup will be overwritten and backup versions will be lost.

Use the following procedures to create a manual backup using this wizard.

  • Perform a Manual Backup to an Attached Disk, DVD, or Removable Media

  • Perform a Manual Backup to a Remote Shared Folder

Additional considerations

  • To use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

Additional references

  • Windows Server Backup

  • Install Windows Server Backup Tools

  • Recovering Your Server


Perform a Manual Backup to an Attached Disk, DVD, or Removable Media

If you back up to an attached disk, you will be able to recover individual files, folders, application data, volumes, system state, and your operating system.

If you back up to a DVD, other optical media, or removable media, you will only be able to recover entire volumes—you cannot recover individual files and folders, system state, or application data directly from backups stored on these media types. Backups are compressed when stored on a DVD or removable media. As a result, the size of the backup on a DVD might be smaller than the volume on the server. However, the backup destination must be at least 1 GB or it will be blocked from the list of available backup destinations. When a DVD backup contains all critical volumes (volumes with system components needed to restore the operating system), you can use that backup to recover the server operating system by performing a system recovery.

Before you attempt to back up to an attached disk, DVD, or removable media, you will need to first:

  • Identify a location for storing your backups. (For more information about choosing a storage location, see Backing Up Your Server.) If you are using a local disk, make sure the disk, which supports either USB 2.0 or IEEE 1394, is internal or attached to the server. In addition, we recommend that, if possible, you store one-time backups and scheduled backups on different locations. If you save one-time backups and scheduled backups to the same location, backup operations may fail due to conflicts or lack of space, and stored backup versions will be lost. If you must use the same storage location, make sure that there is enough space to save the backup before you run the operation. In addition, if you use the Backup Once Wizard, you will be prevented from saving backups to the same location if you choose to use custom settings.

  • If you are using DVDs, make sure a DVD writer is connected to the server and online, and that you have enough blank DVDs to store the contents of all the volumes that you want to back up. Backups to DVDs can span multiple DVDs if the backup is too large for a single DVD.

  • Decide what to include in the backup−the full server or only certain items. (For more information about choosing what to back up, see Backing Up Your Server.)

To create a manual backup on an attached disk, DVD, or removable media

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. From the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Once. This opens the Backup Once Wizard.

  3. On the Backup Options page, do one of the following, and then click Next:

    • Click Scheduled backup options.

    • Click Different options.

      1. On the Select Backup Configuration page, do one of the following, and then click Next:

        1. Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

        2. Click Custom to back up just certain items, and then click Next.

          1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files, expand the folder tree and select the items that you want to include. Click OK.

          2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

          3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK, and then click Next.

      2. On the Specify Destination Type page, click Local drives, and then click Next.

      3. On the Select Backup Destination page, select the destination that you want to use to store the backup from the drop-down list. If you choose a hard disk, confirm that there is enough free space on the disk. If you choose a DVD drive or other optical media, indicate whether you want the contents to be verified after they are written to by selecting the Verify after writing check box.

  4. On the Confirmation page, review the details, and then click Backup. The wizard prepares the backup set and checks the media. If the media is Universal Disk Format (UDF) or NTFS and larger than 1 GB, then the backup operation will proceed. If not, then you will receive a message that the media is not large enough or that the format is not supported. You can choose to reformat the media, or insert new media.

  5. On the Backup Progress page, you can view the status of the backup. If you are backing up to a DVD, when the backup starts, you will receive a message to insert the first DVD in the drive and then, if the backup is too large for a single DVD, you will be prompted for subsequent DVDs as the backup continues. During this process, you should physically write the information next to Disk label in the message on the DVD that you insert. You will need this information later to perform a recovery.

Additional considerations

  • To create a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Performing a Manual Backup

  • Install Windows Server Backup Tools

  • Perform a Manual Backup to a Remote Shared Folder

  • Recovering Your Server

  • Wbadmin command (http://go.microsoft.com/fwlink/?LinkId=140216 )


Perform a Manual Backup to a Remote Shared Folder

To back up to a remote shared folder, you will need to first:

  • Make sure you have access to an account that is a member of the Administrators or Backup Operators group for the computer that you are using to perform the backup and the computer that contains the remote shared folder. In addition, make sure that you have write access to the remote shared folder.

  • Decide what to include in the backup−the full server or only certain items. (For more information about choosing what to back up, see Backing Up Your Server.)

  • If you have enabled IPsec in your domain and you want to use a remote shared folder to save your backup, you should save the backup to a shared folder on an IPsec boundary computer. Otherwise, you will not be able to access the shared folder when trying to perform a recovery using Windows Recovery Environment.

Important

If you save a backup to a remote shared folder, that backup will be overwritten if you use the same folder to back up the same computer again. In addition, if the backup operation fails, you may end up with no backup because the older backup will be overwritten, but the newer backup will not be usable.

To create a manual backup and save it to a remote shared folder

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. From the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Once. This opens the Backup Once Wizard.

  3. On the Backup Options page, do one of the following, and then click Next:

    • Click Scheduled backup options.

    • Click Different options.

      1. On the Select Backup Configuration page, do one of the following, and then click Next:

        1. Click Full server (recommended) to back up all volumes on the server. This is the recommended option.

        2. Click Custom to back up just certain items, and then click Next.

          1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the items that you want to back up. If you want to back up just certain folders or files, expand the folder tree and select the items that you want to include. Click OK.

          2. On the Select Items for Backup page, click Advanced Settings, click the Exclusions tab, click Add Exclusions, and then expand the folder tree and select the items that you want to exclude.

          3. On the VSS Settings tab, select either VSS full Backup or VSS copy Backup. Click OK.

      2. On the Specify Destination Type page, click Remote shared folder, and then click Next.

      3. On the Specify Remote Folder page, type the path to the folder. In this folder, a folder named WindowsImageBackup will be created. The backup that you create will be saved at: \\<RemoteServer>\<SharedFolderPath>\WindowsImageBackup\<ComputerBackedUp>.

      4. Also on the Specify Remote Folder page, do one of the following:

        • Click Do not inherit if you want the backup to be accessible only for the user credentials used to create the backup, and then click Next. Type a user name and password for a user account that has write permissions on the computer that is hosting the remote folder, and then click OK.

        • Click Inherit if you want the backup to be accessible to everyone who has access to the remote shared folder, and then click Next.

        Note

        If you already have a backup stored at this location, you will receive a warning that the backup will be overwritten. If you do not want this to happen, click Cancel and then provide a different shared folder.

  4. On the Confirmation page, review the details, and then click Backup. The wizard prepares the backup set, confirms access to the remote shared folder, and then creates the backup.

  5. On the Backup Progress page, you can view the status of the backup.

Additional considerations

  • To create a single backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Performing a Manual Backup

  • Install Windows Server Backup Tools

  • Perform a Manual Backup to an Attached Disk, DVD, or Removable Media

  • Recovering Your Server


Create Backups of the System State Using a Command Line

In Windows Server 2008 R2, you can use the Backup Schedule Wizard, the Backup Once Wizard, the Wbadmin start systemstatebackup command, the Wbadmin enable backup command, or the Windows PowerShell cmdlets for Windows Server Backup to create a backup of the system state for a server. A backup of the system state can be saved to a locally attached disk (either internal or external) or a remote shared folder. It cannot be saved to a DVD, optical media, or other removable storage media. In addition, when you create a system state backup, you can also add other files, folders, and volumes for recovery.

This topic covers using Wbadmin start systemstatebackup to create a one-time backup or the system state and Wbadmin enable backup to create a scheduled backup of the system state. For information about other methods, see the following:

  • For instructions for using the Backup Schedule Wizard, see Configuring Automatic Backups.

  • For instructions for using the Backup Once Wizard, see Performing a Manual Backup.

  • For more information about the Windows PowerShell cmdlets for Windows Server Backup, see Using Windows Server Backup Cmdlets.

To create a system state backup by using Wbadmin start systemstatebackup

  1. To open a command prompt with elevated privileges, click Start, right-click Command Prompt, and then click Run as administrator.

  2. At the prompt, type:

    wbadmin start systemstatebackup -backupTarget:<VolumeName> [-quiet]

    For example, to create a system state backup with no prompts to the user and save it to volume F, type:

    wbadmin start systemstatebackup -backupTarget:F: -quiet

    To view the complete syntax for this command, at a command prompt, type:

    Wbadmin start systemstatebackup /?

To create a scheduled system state backup by using Wbadmin enable backup

  1. To open a command prompt with elevated privileges, click Start, right-click Command Prompt, and then click Run as administrator.

  2. At the prompt, type:

    wbadmin enable backup [-addtarget:<BackupTarget>] [-removetarget:<BackupTarget>] [-schedule:<TimeToRunBackup>] [-include:<ItemsToInclude> [-nonRecurseInclude:<ItemsToInclude>] [-exclude:<ItemsToExclude>] [-nonRecurseExclude:<ItemsToExclude>] [-allCritical] [-systemState] [-vssFull | -vssCopy] [-user:<UserName>] [-password:<Password>] [-quiet]

    For example, to create a system state backup, daily at 9 A.M., with no prompts to the user, and save it to volume F, type:

    wbadmin enable backup -addtarget:F: -schedule:09:00 -systemState -quiet

    To view the complete syntax for this command, at a command prompt, type:

    Wbadmin enable backup /?

Additional considerations

  • To create a system state backup using features of Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you want to create a system state backup but also add other items to the backup, you can use the Wbadmin start backup command with the -systemState, -include, and -nonRecurseInclude parameters. To view the complete syntax for this command, at a command prompt, type:

    Wbadmin start backup /?

Additional references

  • Backing Up Your Server

  • Install Windows Server Backup Tools


Backing Up Applications and Data

You can use Windows Server Backup to create backups to recover applications and application data from. To do this, the application must contain a Volume Shadow Copy Service (VSS) writer so that it can register with Windows Server Backup, and the application and VSS writer must be running at the time the backup is created. For instructions to register an application with Windows Server Backup, see http://go.microsoft.com/fwlink/?LinkId=93493. For instructions for working with VSS, see http://go.microsoft.com/fwlink/?LinkId=95935.

Then, to back up a supported application, you will need to first:

  • Identify a location for storing your backups—backups of applications must be stored on attached disks or remote shared folders, not on optical or removable media. (For more information about choosing a storage location, see Backing Up Your Server.) Make sure that any hard disks for storing your backups are attached and online. As a best practice, if you are using an external hard disk, make sure that it supports either USB 2.0 or IEEE 1394. The disk should have at least 2.5 times the storage capacity of the set of items that you want to back up. If you a dedicated disk for storing backups, it should either be empty or contain data that you do not need to keep because Windows Server Backup will format this disk as part of preparing it for the backup. If you store your scheduled backups in a remote shared folder, the backup will be overwritten each time you create a new backup. Do not choose this option if you want to store multiple backups.

  • Decide what volumes to include in the backup—to be able to recover an application from a backup, you must have backed up the full volume or volumes that contain the application. (For more information about choosing what to back up, see Backing Up Your Server.)

  • If creating a scheduled backup, decide whether to run backups once a day or more often.

  • After the backups start running, monitor the status using the Messages, Status, and Scheduled Backup sections of the snap-in default page.

Note
  • You can use the Backup Once Wizard to create a one-time backup for application recovery.

  • You can use the Windows Server Backup cmdlets for Windows PowerShell to create one-time or scheduled backups. For more information, see Using Windows Server Backup Cmdlets.

  • You can use the Wbadmin enable backup command or Wbadmin start backup command to create backups for application recovery. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=140216.

To create a scheduled backup to use to recover applications

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting Started page, click Next.

  4. On the Select Backup Configuration page, do one of the following, and then click Next:

    • Click Full server (recommended) to back up all volumes on the server, including the volume or volumes that contain the application. This is the recommended option.

    • Click Custom to back up just certain volumes, and then click Next.

      1. On the Select Items for Backup page, click Add Items. In Select Items, select the check boxes for the volumes that contain the application. Click OK.

      2. On the Select Items for Backup page, click Advanced Settings, click the VSS Settings tab, and then select either VSS full Backup or VSS copy Backup. Click OK and then click Next.

  5. On the Specify Backup Time page, do one of the following, and then click Next:

    • Click Once a day, and then select the time from the drop-down list to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Specify Destination Type page, do one of the following and then click Next:

    • Select Back up to a hard disk that is dedicated for backups (recommended).

      1. On the Select Destination Disk page, select the check box for the disk that you attached for this purpose, and then click Next.

      2. By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the list is empty, or the disk that you want to use is not listed, click Show All Available Disks. In Show All Available Disks, select the check box next to the disk that you want to use to store the backups, click OK, and then on Select Destination Disk, select the check box for the disk again. This disk will no longer be visible in Windows Explorer—to prevent data from accidentally being stored on the drive and then overwritten, and to prevent accidental loss of backups.

      3. A message informs you that the selected disk will be formatted and any existing data will be deleted. Click Yes. Do not click Yes if you have data on the disk that you need. To use a different disk, click No, and then select a different disk under Available disks.

      Important

      We recommend that you record and then physically attach the label information to any external disks that you are using to store backups. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

    • Select Back up to a shared network folder.

      1. On the Specify Remote Shared Folder page, type the path to the folder. In this folder, a folder named WindowsImageBackup will be created. The backup that you create will be saved at: \\<RemoteServer>\<SharedFolderPath>\WindowsImageBackup\<ComputerBackedUp>.

      2. Also on the Specify Remote Shared Folder page, click Do not inherit if you want the backup to be accessible only for the user credentials used to create the backup, and then click Next. The Register Backup Schedule dialog will appear. Type a user name and password for a user account that has write permissions on the computer that is hosting the remote folder, and then click OK.

  7. On the Confirmation page, review the details, and then click Finish. If you have dedicated a disk for storage, the wizard formats the disk, which may take several minutes depending on the size of the disk.

  8. On the Summary page, click Close.

Additional considerations

  • To create one-time backups, you must be a member of the Administrators group or Backup Operators group, or you must have been delegated the appropriate authority.

Additional references

  • Configuring Automatic Backups

  • Install Windows Server Backup Tools

  • Recover Applications and Data


Recovering Your Server

You can use the backups you have created with Windows Server Backup to recover your operating system, system state, volumes, applications and application data, backup catalog, and local files and folders. To do this, use the following tools:

Tool What you can recover

Recovery Wizard (in Windows Server Backup)

Files, folders, volumes, system state, applications, and application data

Windows Setup disc or a separate installation of the Windows Recovery Environment

Operating system (critical volumes) and full server (all volumes)

Catalog Recovery Wizard (in Windows Server Backup)

Note

The Catalog Recovery Wizard is only available from Windows Server Backup when the backup catalog is corrupted.

Backup catalog

You can also perform these tasks using the Wbadmin command. For the syntax of this command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216). You cannot perform recoveries using the Windows PowerShell cmdlets for Windows Server Backup.

For instructions specific to recovering Active Directory Domain Services, see http://go.microsoft.com/fwlink/?LinkId=143754.

This section contains instructions to help you do the following:

  • Recover Files and Folders

  • Recover Applications and Data

  • Recover Volumes

  • Recover the Operating System or Full Server

  • Recover the System State

  • Recover a Backup Catalog

Additional considerations

  • To perform recoveries using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You cannot recover backups that you created with Ntbackup.exe by using Windows Server Backup (Wbadmin.exe). However, a version of Ntbackup.exe is available as a download for Windows Server 2008 users who want to recover data from backups that were created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for performing recoveries of legacy backups and cannot be used to create new backups on Windows Server 2008. To download this limited version of Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

  • If you are recovering your operating system to a new hard disk, make sure the disk is at least as big as the disk that contained the volumes that were backed up, regardless of the size of those volumes. For example, if there was only one volume that was 100 GB on a 1-TB disk during backup, you should use a disk that is at least 1 TB when recovering.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a recovery, make sure to reapply BitLocker Drive Encryption to your server. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722 ).

Additional resources

  • Windows Server Backup

  • Install Windows Server Backup Tools

  • Backing Up Your Server


Recover Files and Folders

You can use the Recovery Wizard in Windows Server Backup to recover files and folders from a backup. Before you begin, you should:

  • Make sure at least one backup exists on an external disk or in a remote shared folder—you cannot recover files and folders from backups saved to DVDs or removable media. In addition, if you are recovering a computer running Windows Server 2008, make sure that the backup is not a system state backup. File and folder recovery is not possible from a system state backup. For instructions for creating a backup for file and folder recovery, see Configuring Automatic Backups and Performing a Manual Backup.

  • Make sure the external disk or remote shared folder that is hosting the backup is online and available to the server.

  • Determine what files or folders that you want to recover.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143758.

To recover files and folders using the Windows Server Backup user interface

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting Started page, do one of the following and then click Next:

    • Click This server.

    • Click Another server. On the Specify Location Type page, do one of the following and then click Next:

      • Click Local drives. On the Select Backup Location page, select the volume or drive that contains the backup from the drop-down list. On Select Server, select the server whose data you want to recover.

      • Click Remote shared folder. On the Specify Remote Folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  4. On the Select Backup Date page, select the date from the calendar and the time from the drop-down list of backup you want to restore from. Then click Next.

  5. On the Select Recovery Type page, click Files and folders, and then click Next.

  6. On the Select Items to Recover page, under Available items, expand the list until the folder you want is visible. Click a folder to display the contents in the adjacent pane, click each item that you want to restore, and then click Next.

    Note

    The SHIFT and CTRL keys will enable you to select a group or specific set of items.

  7. On the Specify Recovery Options page, under Recovery destination, do one of the following:

    • Click Original location.

    • Click Another location. Then, type the path to the location, or click Browse to select it.

  8. Under When this wizard find items in the backup that are already in the recovery destination, click one of the following, and then click Next:

    1. Create copies so you have both versions

    2. Overwrite the existing versions with the recovered versions

    3. Do not recover the items that already exist on the recovery destination

  9. Under Security settings, select the Restore access control list (ACL) permissions to the file or folder being recovered check box, if needed, and then click Next.

  10. On the Confirmation page, review the details, and then click Recover to restore the specified items.

  11. On the Recovery progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover files and folders from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover Applications and Data

You can use the Recovery Wizard in Windows Server Backup to recover applications and related data from a backup. To do this, the application must contain a Volume Shadow Copy Service (VSS) writer so that it can register with Windows Server Backup, and the application and VSS writer must have been running at the time the backup that you are going to use for recovery was created. For instructions to register an application with Windows Server Backup, see http://go.microsoft.com/fwlink/?LinkId=93493. For instructions for working with VSS, see http://go.microsoft.com/fwlink/?LinkId=95935.

Before you begin, you should make sure at least one backup of the application exists on a local or in a remote shared folder, and that the disk is attached and online or that the remote shared folder is available. For instructions for creating a backup for application recovery, see Backing Up Applications and Data.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143758.

To recover an application using the Windows Server Backup user interface

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting Started page, do one of the following and then click Next:

    • Click This server.

    • Click Another server. On the Specify Location Type page, do one of the following and then click Next:

      • Click Local drives. On the Select Backup Location page, select the volume or drive that contains the backup from the drop-down list. On Select Server, select the server whose data you want to recover.

      • Click Remote shared folder. On the Specify Remote Folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  4. On the Select Backup Date page, select the date from the calendar and the time from the drop-down list of the backup that you want to restore from, and then click Next.

  5. On the Select Recovery Type page, click Applications, and then click Next.

  6. On the Select Application page, under Applications, click the application that you want to recover. If the backup that you are using is the most recent and the application you are recovering supports a "roll-forward" of the application database, you will see a check box labeled Do not perform a roll-forward recovery of the application databases. Select this check box if you want to prevent Windows Server Backup from rolling forward the application database that is currently on your server. Click Next.

  7. On the Specify Recovery Options page, under Recovery destination, do one of the following, and then click Next:

    • Click Recover to original location.

    • Click Recover to another location. Then, type the path to the location, or click Browse to select it.

    Important

    You can copy an application to a different location, but you cannot recover an application to a different location or computer of a different name.

  8. On the Confirmation page, review the details, and then click Recover to restore the listed items.

  9. On the Recovery Progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover applications from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Recovering Your Server


Recover Volumes

You can use the Recovery Wizard in Windows Server Backup to restore a volume. When you restore a full volume, all contents of the volume are restored—you cannot selectively restore individual files or folders by using this option. If you want to recover just certain files or folders and not a full volume, see Recover Files and Folders.

Before you begin, you should:

  • Make sure the external disk or shared folder that is hosting the backup is online and available to the server. Or, if you are using a backup on DVDs or removable media, make sure that the DVD drive or device is attached to your local server and online, and that all DVDs that contain the backup are labeled and available. For instructions for creating a backup for volume recovery, see Configuring Automatic Backups and Performing a Manual Backup.

  • Determine which volumes that you want to recover.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=143758.

To recover volumes using the Windows Server Backup user interface

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting Started page, do one of the following and then click Next:

    • Click This server.

    • Click Another server. On the Specify Location Type page, do one of the following and then click Next:

      • Click Local drives. On the Select Backup Location page, select the volume or drive that contains the backup from the drop-down list. On Select Server, select the server whose data you want to recover.

      • Click Remote shared folder. On the Specify Remote Folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  4. On the Select Backup Date page, select the date from the calendar and the time from the drop-down list of backup you want to restore from.

  5. On the Select Recovery Type page, click Volumes, and then click Next.

  6. On the Select Volumes page, select the check boxes associated with the volumes in the Source Volume column that you want to recover. Then, from the associated drop-down list in the Destination Volume column, select the location that you want to recover the volume to. Click Next.

    Important

    You will receive a message that any data on the destination volume will be lost when you perform the recovery. Make sure that the destination volume is empty or does not contain information that you will need later.

  7. On the Confirmation page, review the details, and then click Recover to restore the specified volumes.

  8. On the Recovery Progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover volumes from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a recovery, make sure to reapply BitLocker Drive Encryption to your server. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover the Operating System or Full Server

You can recover your server operating system or full server by using Windows Recovery Environment and a backup that you created earlier with Windows Server Backup.

You can access the recovery and troubleshooting tools in Windows Recovery Environment through the System Recovery Options dialog box in the Install Windows Wizard. In Windows Server 2008 R2, to launch this wizard, use the Windows Setup disc or start/restart the computer, press F8, and then select Repair Your Computer from the list of startup options.

You can also configure your servers to fail over to the Windows Recovery Environment if they fail to boot. (For instructions, see http://go.microsoft.com/fwlink/?LinkId=94458.)

To recover your operating system, you need to perform a bare metal recovery and choose the options so that only the data on critical volumes (volumes that contain operating system files) are restored.

When you perform a recovery of the operating system or full server, you will need to specify the following:

  • What backup you will use

  • Whether you will perform an operating system–only or full server recovery

  • Whether you will reformat and repartition your disks

Important

In a full server recovery, if you choose to reformat and repartition all disks, the existing data will be deleted. This includes any volumes that are currently used by the server but were not included in the backup. This option is not available if you access Windows Recovery Environment by pressing F8 instead of by using a Windows Setup disc.

To recover the operating system or a full server, you should first do the following:

  • If you are recovering to a new hard disk, make sure the disk is at least as big as the disk that contained the volumes that were backed up, regardless of the size of those volumes. For example, if there was only one volume that was 100 GB on a 1-TB disk during backup, you should use a disk that is at least 1 TB when restoring.

  • If you are recovering just the operating system, make sure that you have a backup available that contains at least the critical volumes of the server. If you are recovering the full server, make sure that you have a backup available that contains all volumes of the server. To perform a bare metal recovery, make sure you have a backup enabled for bare metal recovery (or full server recovery). For instructions to create backups, see Performing a Manual Backup and Configuring Automatic Backups.

Important

If you are using BitLocker Drive Encryption on the location that you are storing backups, make sure that it is unlocked. However, you do not need to unlock the location that you are recovering to for a volume-level recovery such as the recovery described in this procedure. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

To recover your operating system or full server using a backup created earlier and Windows Setup disc

  1. Insert the Windows Setup disc that has the same architecture of the system that you are trying to recover into the CD or DVD drive and start or restart the computer. If needed, press the required key to boot from the disc. The Install Windows Wizard should appear.

  2. In Install Windows, specify language settings, and then click Next.

  3. Click Repair your computer.

  4. Setup searches the hard disk drives for an existing Windows installation and then displays the results in System Recovery Options. If you are recovering the operating system onto separate hardware, the list should be empty (there should be no operating system on the computer). Click Next.

  5. On the System Recovery Options page, click System Image Recovery. This opens the Re-image your computer page.

  6. Do one of the following, and then click Next:

    • Click Use the latest available system image (recommended).

    • Click Restore a different backup, and then do one of the following:

      • On the Select the location of the system image page, click the computer that contains the backup that you want to use, and then click Next.

        Important

        If the storage location contains backups of multiple computers, make sure that you click the row for the backups for the computer that you want to use.

        Then, on the Select the system image to restore page, click the backup that you want to use, and then click Next.

      • Click Advanced to browse for a backup in a remote shared folder on the network and provide the Universal Naming Convention (UNC) path to the backup, or if your backup is on a device, to install a device driver. (To install a drive, the driver needs to be present in local system. You cannot install a driver from the network and, instead, need to provide a local path to the .inf file to install a driver.) Click Next.

        Important
        • If you use a domain in your environment, and if the backup storage location is on a computer that is a member of that domain, then computer containing the storage location should be on the IPsec boundary to be accessible by non-domain computers. When a computer boots into Windows Recovery Environment, it becomes a non-domain computer and cannot access the usual network shares. Only those computers that allow non-domain computers to access the share can be used as a backup storage location in this way.
        • You can also address this issue by adding the computer that is your backup storage location to a workgroup and placing the backup in a shared folder. A computer running Windows Recovery Environment behaves as if it is in a workgroup, enabling you to access the shared folder with the backup.

  7. On the Choose additional restore options page, do the following optional tasks, and then click Next:

    • Select the Format and repartition disks check box to delete existing partitions and reformat the destination disks to be the same as the backup. This enables the Exclude disks button. Click this button and then select the check boxes associated with any disks that you want to exclude from being formatted and partitioned. The disk that contains the backup that you are using is automatically excluded.

      Note
      • Unless a disk is excluded, data on it can be lost—regardless of whether it was part of the backup or whether it has volumes that are being restored.

      • You should not exclude the boot disk—the first disk in the BIOS boot order. (This disk is usually referred to as Disk 0, but in some conditions, Diskmgmt.msc and Diskpart.exe may label it as something else, for example, Disk 1/2.) If the boot disk (Disk 0) is excluded then Windows will try to do recovery on BIOS Disk 1. But after the recovery, the system will not start and it may fail with an error that Bootmgr is missing. The BIOS will always use the first disk in the boot order to search for this file and if it is missing the computer will not start.

      • In Exclude disks, if you do not see all the disks that are attached to the computer, you might need to install the associated drivers for the storage device.

    • Select the Only restore system drives check box to perform an operating system–only recovery.

    • Click Install drivers to install device drivers for the hardware that you are recovering to.

    • Click Advanced to specify whether the computer is automatically restarted and the disks are checked for errors immediately after the recovery.

  8. Confirm the details for the restoration, and then click Finish. The recovery will succeed as long as all the critical volumes (volumes containing operating system components) are recovered. If any data volume cannot be recovered then Windows will show a prompt with unrecovered volumes at the end of the recovery operation (for example, volumes on virtual hard disks and Internet SCSI (iSCSI) disks).

Additional considerations

  • To create a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. The recovery of the operating system is performed by the Windows Recovery Environment using the LocalSystem user account.

  • The boot drivers will be enabled or installed into the recovered operating system so that the system can boot. However individual applications that rely on certain hardware (such as network adapters) may experience issues after the system is recovered.

  • Windows Recovery Environment is available in all editions of Windows Server 2008. However, the processor architecture for a given instance of Windows Recovery Environment and the computer whose system you are trying to restore must match. For example, Windows Recovery Environment for an x64-based version of the operating system only works on an x64-based computer. In addition, for Windows Server 2008, your hardware manufacturer may have installed Windows Recovery Environment on a partition on your server—if not, you will need a Setup disc to access this tool.

    For Windows Server 2008 R2, the Windows Recovery Environment is installed by default, except for the Server Core installation option.

  • You can also perform this procedure using the Wbadmin start sysrecovery command. For instructions and syntax, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=143759).

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover the System State

In Windows Server 2008 R2 you can use the Recovery Wizard in Windows Server Backup to recover the system state. And in both Windows Server 2008 and Windows Server 2008 R2, you can you the Wbadmin command to recover the system state. For more information about choosing what to include in a backup, see Backing Up Your Server.

Before you begin, you should make sure at least one backup of the system state exists on a local disk or in a remote shared folder, and that the disk is attached and online or that the shared folder is available. For instructions for creating a backup for system state recovery, see Configuring Automatic Backups, Performing a Manual Backup, and Create Backups of the System State Using a Command Line.

To recover the system state using the Windows Server Backup user interface

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting Started page, do one of the following and then click Next:

    • Click This server.

    • Click Another server. On the Specify Location Type page, do one of the following and then click Next:

      • Click Local drives. On the Select Backup Location page, select the volume or drive that contains the backup from the drop-down list. On Select Server, select the server whose data you want to recover.

      • Click Remote shared folder. On the Specify Remote Folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  4. On the Select Backup Date page, select the date from the calendar and the time from the drop-down list of the backup that you want to restore from, and then click Next.

  5. On the Select Recovery Type page, click System state, and then click Next.

  6. On the Select Location for System State Recovery page, do one of the following, and then click Next:

    • Click Original location.

    • Click Alternate location. Then, type the path to the location, or click Browse to select it.

  7. On the Confirmation page, review the details, and then click Recover to restore the listed items.

  8. On the Recovery Progress page, you can view the status of the recovery operation and whether or not it was successfully completed. After the operation completes, you must restart your computer.

    Caution

    System state recovery cannot be stopped once it is started, or the system could become unbootable.

You can use the Wbadmin start systemstaterecovery command to recover the system state for a computer.

To recover the system state by using a command line

  1. To open a command prompt with elevated privileges, click Start, right-click Command Prompt, and then click Run as administrator.

  2. At the prompt, type:

    wbadmin start systemstate recovery -version:<VersionIdentifier> -showsummary [-backupTarget:{<BackupDestinationVolume> | <NetworkSharePath>}] [-machine:<BackupMachineName>] [-recoveryTarget:<TargetPathForRecovery>] [-authsysvol] [-autoReboot] [-quiet]

    For example, to run a system state recovery of the backup from 04/30/2005 at 9:00 A.M. that is stored on the remote shared folder \\servername\share for server01, type:

    wbadmin start systemstaterecovery -version:04/30/2005-09:00 -backupTarget:\\servername\share -machine:server01

Additional considerations

  • To recover the system state using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Recovering Your Server


Recover a Backup Catalog

You can use the Catalog Recovery Wizard to recover a local backup catalog that has been corrupted.

Windows Server Backup stores the details about your backups (what volumes are backed up and where the backups are located) in a file called a backup catalog. The catalog is stored in the same place that you store your backups at the path: <StorageLocation>\WindowsImageBackup\<ComputerBackedUp>\Catalog\. Windows Server Backup also keeps a master catalog on the computer being backed up at the path: <systemdrive>\System Volume Information\WindowsImageBackup\Catalog\. If that file gets corrupted, you will be alerted and an event is added to the event log (Event 514). To continue with future backups, you will need to either restore the catalog using an available backup or delete the catalog.

If you have no backups that you can use to recover the catalog (so you need to delete the catalog), the information about previous backups will be lost and you will not be able to access the backups using the Windows Server Backup snap-in. In this case, you should create a new backup once your catalog is deleted.

Important

You will only see the Catalog Recovery Wizard in Windows Server Backup if your catalog is corrupted.

Note

You can also use the Wbadmin restore catalog and the Wbadmin delete catalog commands to perform these tasks. For syntax and examples for Wbadmin, see http://go.microsoft.com/fwlink/?LinkId=140216.

To recover a backup catalog

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover Catalog. This opens the Catalog Recovery Wizard.

  3. On the Specify Storage Type page, do one of the following, and then click Next:

    • Click Local drives.

      1. On the Select Backup Location page, select the drive that contains the backup that you want to use from the drop-down list. If you are using DVDs or other media, make sure the last DVD of the series is in the drive. Click Next.

      2. On the Select Server page, if you are using a backup stored on a internal or external hard disk, select the server’s whose backup you want to use.

    • Click Remote shared folder.

      On the Specify Remote Folder page, type the path to the folder that contains the backup that you want to use.

    • Click I do not have any usable backups if you do not have a backup that you can use to recover the catalog, and just want to delete the catalog.

  4. On the Confirmation page, review the details, and then click Finish to recover the catalog.

  5. On the Summary page, click Close.

  6. Once the catalog recovery is completed or you have deleted the catalog, you must close and then re-open Windows Server Backup to refresh the view.

Additional considerations

  • To recover a backup catalog using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup Microsoft Management Console (MMC) snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional references

  • Recovering Your Server

  • Catalog Recovery Wizard


Optimizing Backup and Server Performance

You can use the Optimize Backup Performance dialog box to improve the performance of backups for full volumes, which can improve server performance. It is available from the homepage of the Windows Server Backup snap-in. However, these settings apply only if you are including entire volumes in the backup. The performance settings will not be applied if you specify a file or folder backup (in this case, backups will be created using the file backup engine and these settings will not be applied.)

To adjust performance settings for Windows Server Backup

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Configure Performance Settings. This opens the Optimize Backup Performance dialog box.

  3. In the Optimize Backup Performance dialog box, do one of the following:

    • Click Normal backup performance. Choose this option to specify that the backups you create are full backups. During a backup operation, Windows transfers all the contents of the volume being backed up, but the space used on the backup storage location is only for the changed blocks on the source.

    • Click Faster backup performance. Choose this option to specify that the backups that you create are incremental backups. Windows will leave a shadow copy on the source volume to use to track the changes. During next backup operation, only the changes since last the backup are transferred (by reading from the “diff area” of the shadow copy)—as compared to the Normal backup performance option, where the entire source volume data is transferred. (Because only changed blocks are written, there is a performance increase.) The space used on the backup storage location will still only be for the changed blocks detected on the source. Use this method for servers that are less I/O intensive because shadow copies can degrade the performance of write operations for the volume they are on (read operations are not affected).

      Note

      Even if you choose the option to create incremental backups, Windows Server Backup will create a full backup once every 14 days, or after 14 incremental backup operations, to reduce the risk from disk corruptions.

    • Click Custom. And then for each item under Volume, select either Full backup or Incremental backup from the adjacent drop-down list.

Additional considerations

  • To use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

Additional references

  • Windows Server Backup

  • Install Windows Server Backup Tools


Using Windows Server Backup Cmdlets

You can use the Windows PowerShell cmdlets for Windows Server Backup to automate and manage backups. Before you begin, you must install the cmdlets as part of installing Windows Server Backup. (For instructions, see Install Windows Server Backup Tools.) Then, each time you use the cmdlets, you must add the Windows Server Backup cmdlet snap-in to the instance of Windows PowerShell that you have opened.

To add the Windows Server Backup cmdlet snap-in to Windows PowerShell

  1. To add the snap-in, at the Windows PowerShell prompt, type:

    add-pssnapin windows.serverbackup

  2. To confirm that the snap-in was added, at the Windows PowerShell prompt, type:

    get-pssnapin

    Then look for windows.serverbackup in the output.
To view a list of Windows Server Backup cmdlets

  • At the Windows PowerShell prompt, type:

    get-command *wb* -commandtype cmdlet
To view help for Windows Server Backup cmdlets

  • At the Windows PowerShell prompt, do the following:

    • To display basic Help, type: Get-Help <cmdlet_name>

    • To display detailed Help, type: Get-Help <cmdlet_name> -detailed

    • To display examples for a cmdlet, type: Get-Help <cmdlet_name> -examples

    • To display all Help for a cmdlet, type: Get-Help <cmdlet_name> -full

Additional considerations

  • To use the Windows PowerShell cmdlets for Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • By default, Windows PowerShell modules and snap-ins are not loaded in Windows PowerShell. To start Windows PowerShell so that all the Windows PowerShell modules and snap-ins are loaded automatically, right-click the Windows PowerShell icon in the taskbar, and then click Import all modules. In Windows Server 2008 R2, the Windows PowerShell icon is pinned to the taskbar by default. However, you must start Windows PowerShell one time to make the Import all modules task appear.

Additional references

  • Windows Server Backup

  • For information and instructions for the Windows PowerShell cmdlets for Windows Server Backup, see http://go.microsoft.com/fwlink/?LinkID=143721.

  • For the Windows PowerShell Script Center, see http://go.microsoft.com/fwlink/?LinkID=93317.

  • For the Windows PowerShell blog, see http://go.microsoft.com/fwlink/?LinkID=128557.


Troubleshooting Backup and Recovery

This topic lists some common issues that you may encounter when using Windows Server Backup in Windows Server 2008 R2. For updated troubleshooting information, see http://go.microsoft.com/fwlink/?LinkId=143745. For more in-depth troubleshooting information for events, see http://go.microsoft.com/fwlink/?LinkID=140218.

What problem are you having?

  • I cannot recover any data from a .bkf file that I created using an earlier version of Windows.

  • I tried to create a backup to a tape drive, but did not see my drive listed for available locations to store backups.

  • In Windows Explorer, I am not able to see the disk that I used to store my scheduled backups.

  • When I list the Wbadmin commands at a command prompt, I do not see some of the commands that are referenced in the documentation.

  • When I perform a system state backup, the time it takes is longer and the size of the backup is much bigger than for earlier version of the operating system.

  • When I create a second backup to disk, the first backup seems to have disappeared.

  • My backups appear to have been lost.

  • I cannot manage other computers using the Connect To Another Computer option.
I cannot recover any data from a .bkf file that I created using an earlier version of Windows.
  • Cause: You cannot use Windows Server Backup to recover backups that were created with the backup feature (Ntbackup.exe) in versions of Windows prior to Windows Server 2008.

  • Solution: A version of Ntbackup.exe is available as a download for Windows Server 2008 users who want to recover data from backups created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for recovering backups created with older versions of Windows and cannot be used to create new backups. To download this version of Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

I tried to create a backup to a tape drive, but did not see my drive listed for available locations to store backups.
  • Cause: Windows Server Backup does not support backing up to tape storage devices. (However, support of tape storage drivers is included in Windows Server 2008 and Windows Server 2008 R2.)

  • Solution: Use a supported storage media type or solution. Windows Server Backup supports backing up to external and internal disks; volumes; DVDs, and other optical and removable media; and remote shared folders.

In Windows Explorer, I am not able to see the disk that I used to store my scheduled backups.
  • Cause: This is by design. Once you specify a disk to be used to store scheduled backups, it is allocated for that purpose—it is not mounted to a drive letter, so it is not visible in Windows Explorer. This is done for the following reasons:

    • To keep the disk clear of data that is not needed. Storing other data on the backup disk can cause loss of space and loss of backup copies.

    • To protect the backups. Hiding the disk in this way makes it less likely that data will be accidentally deleted or corrupted.

  • Solution: The drive will be visible in Disk Management (Diskmgmt.msc). To release the drive, you must cancel the scheduled backups. For instructions, see Modify or Stop an Automatic Backup Schedule.

When I list the Wbadmin commands at a command prompt, I do not see some of the commands that are referenced in the documentation.
  • Cause: This is by design. Certain commands are only available from the Windows Recovery Environment, or are hidden but available for use.

  • Solution: To see a complete list of Wbadmin commands, their syntax, and examples, see the Command Reference for Windows Server 2008 R2 (http://go.microsoft.com/fwlink/?LinkId=140216).

When I perform a system state backup, the time that it takes is longer and the size of the backup is much bigger than for earlier version of the operating system.
  • Cause: This is by design. System state files have increased in number and size. On Windows Server 2008 R2, there are approximately 78,752 system state files, which take up approximately 5.84 GB for the default installation on an x64-based computer.

When I create a second backup to disk, the first backup seems to have disappeared.
  • Cause: Backups are stored using Volume Shadow Copy Service (VSS) technology on the storage disk. They are available in the shadow copy that was created of the backup storage disk.

  • Solution: The backups are not lost. You can use the Wbadmin get versions command or the Recovery Wizard to see all the versions of backup available. However, when using Windows Explorer, you will only see the contents of the latest backup on the disk.

My backups appear to have been lost.
  • Cause: Windows Server Backup will delete the virtual hard disks and create new virtual hard disks, which creates a lot of I/O traffic and possibly the loss of backups, in two situations:

    • If you create a scheduled backup and start by creating backups of partial volumes (such as files) and then you change the scheduled backup to be full volume (block-level) backups (for example, you start with C:\folder and then change to C:\, or you start with a system state backup and then you change to a bare metal recovery backup).

    • If you decrease or expand the size of a source volume for backup, Windows Server Backup will delete the virtual hard disks for volumes whose layout has changed since the last backup.

  • Solution: After the backups are deleted, you cannot get them back. Windows Server Backup will automatically start creating newer backups when it is started.

I cannot manage other computers using the Connect To Another Computer option.
  • Cause: If you cannot use the Connect To Another Computer option in the Windows Server Backup MMC snap-in, you may not have the correct security permissions on the local computer or the remote computer, or you may be trying to manage a computer running a different version of Windows than the local computer.

  • Solution: You can also perform this task remotely for another server using the Connect To Another Computer option in the Windows Server Backup MMC snap-in. Make sure that you are a member of the Administrators or Backup Operators group on the remote server. If you are a Backup Operator, ensure that the Distributed Component Object Model (DCOM) security settings on the remote computer are set to allow Backup Operators to connect to it.

    You can only use this feature if the local and remote servers are running the same version of Windows—either both running Windows Server 2008 or both running Windows Server 2008 R2. In addition, you cannot use this feature to manage a computer running any version of Windows client operating system.

Additional resources

  • Windows Server Backup

  • Resources for Backup and Recovery


Resources for Backup and Recovery

For more information about backing up or recovering your servers, use the following resources on the Microsoft Web site:

  • For technical information, see http://go.microsoft.com/fwlink/?LinkId=93236.

  • For information about the Wbadmin command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216).

  • For information about backing up or recovering computers running Active Directory Domain Services, see http://go.microsoft.com/fwlink/?LinkId=143743.

  • For information about Windows PowerShell commands (cmdlets) for Windows Server Backup, see http://go.microsoft.com/fwlink/?LinkId=143721.

  • For in-depth troubleshooting information for events, see http://go.microsoft.com/fwlink/?LinkID=140218.


User Interface: Windows Server Backup

The Windows Server Backup Microsoft Management Console (MMC) snap-in contains the following wizards to help you schedule and create backups, and perform recoveries:

  • Backup Schedule Wizard

  • Backup Once Wizard

  • Recovery Wizard

  • Catalog Recovery Wizard

Note

Certain pages and fields in these wizards have been updated for Windows Server 2008 R2.

Additional considerations

  • To run backups and recoveries using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • You can perform the same backup and recovery tasks with the Wbadmin command that you can with the wizards in the Windows Server Backup snap-in. For information about this command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=140216).

  • You can perform backup tasks with the Windows PowerShell cmdlets for Windows Server Backup. For more information, see Using Windows Server Backup Cmdlets.

Additional references

  • Windows Server Backup

  • Install Windows Server Backup Tools


Backup Schedule Wizard

This topic contains instructions for each page in the Backup Schedule Wizard in the Windows Server Backup MMC snap-in.

Page Details

Getting Started

For information about prerequisites and the overall process, see Checklist: Schedule Automatic Backups.

For instructions for using this wizard, see:

  • Configuring Automatic Backups

  • Configure a Backup Schedule for Multiple Storage Disks

Modify Scheduled Backup Settings

If you have already created a backup schedule, you can use this page to modify the current settings or cancel the scheduled backups from this page.

Select Backup Configuration

You can choose to back up all volumes that contain your files, data, applications, and operating system state—or just certain volumes or files.

Select Items for Backup

Select the check boxes for the items you want to include in the backup, and enable the backup to be used for system state recovery or bare metal recovery. In addition, click Advanced Settings to access the tools to exclude certain files or file types, and to specify whether the backup will be a Volume Shadow Copy Service full backup or copy backup.

Specify Backup Time

Specify whether you want to run backups just once a day or more than once a day.

Note

If you want to create a schedule for backups, but need to run backups at different times on different days, you can use Task Scheduler and the Wbadmin start backup command to run a series of tasks to create backups. For instructions, see Configure Automatic Backups with Task Scheduler.

Specify Destination Type

Specify whether you want to store backups on a local hard disk, volume, or remote shared folder. For more information about choosing a storage type, see Backing Up Your Server.

Select Destination Disk

You can use this page to select one or more attached disks to use to store your backups. If you do not see the disk that you want to use listed, click Show All Available Disks and then select the check boxes for the disks that you want to use. The disks will then appear in the list of available disks. For instructions for using multiple disks, see Configure a Backup Schedule for Multiple Storage Disks.

Important

If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Select Destination Volume

If you want to store backups on a volume, click Add to view and select the available volumes. If you choose to store backups on a volume instead of dedicating an entire disk, there may be a decrease in performance (up to 200 percent). This is due to the use of shadow copies to create backups and can cause a performance problem if users are also storing other data that they need to access on the volume.

Specify Remote Shared Folder

If you are storing the backup in a remote shared folder, type the path to the folder.

Note

When you create the backup, the folders WindowsImageBackup\<ComputerName> will be added to the shared folder. The backup will be saved in <ComputerName>. However, you should not append the shared folder with the added folders.

Also on this page, specify whether you want the backup to be available only using the credentials that you used to create the backup, or whether you want to allow anyone who can access the remote folder to be able to access the backup.

Keep or Change Backup Destinations

Use this page to specify whether you want to keep, add, or remove backup destinations. The options available depend on the storage type that you are using to store backups.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the disk or disks that you selected will be formatted and/or the changes that you made to the current schedule will be implemented.

Summary

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To configure or modify a scheduled backup using Windows Server Backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority.

Additional resources

  • User Interface: Windows Server Backup

  • Install Windows Server Backup Tools


Backup Once Wizard

This topic contains instructions for each page in the Backup Once Wizard in the Windows Server Backup MMC snap-in.

Page Details

Backup Options

For information about prerequisites and the overall process, see Checklist: Perform a Manual Backup.

For instructions for using this wizard, see:

  • Performing a Manual Backup

  • Perform a Manual Backup to an Attached Disk, DVD, or Removable Media

  • Perform a Manual Backup to a Remote Shared Folder

Then, you can use this page to specify that you will use the same settings for this backup or that you will use different settings for this backup.

Select Backup Configuration

You can choose to back up all volumes that contain your files, data, applications, and operating system state—or just certain volumes or files.

Select Items for Backup

Select the check boxes for the items you want to include in the backup, and enable the backup to be used for system state recovery or bare metal recovery. In addition, click Advanced Settings to access the tools to exclude certain files or file types, and to specify whether the backup will be a Volume Shadow Copy Service full backup or copy backup.

Specify Destination Type

Specify whether you want to store the backup on an attached drive or in a remote shared folder.

Select Backup Destination

If you are storing the backup on a disk or DVDs, select the disk or DVD drive that you will use.

Specify Remote Folder

If you are storing the backup in a remote shared folder, type the path to the folder.

Note

When you create the backup, the folders WindowsImageBackup\<ComputerName> will be added to the shared folder. The backup will be saved in <ComputerName>. However, you should not append the shared folder with the added folders.

Also on this page, specify whether you want the backup to be available only using the credentials that you used to create the backup, or whether you want to allow anyone who can access the remote folder to be able to access the backup.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the disk or disks that you selected will be formatted and/or the changes that you made to the current schedule will be implemented.

Backup Progress

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To create a single backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional resources

  • User Interface: Windows Server Backup

  • Install Windows Server Backup Tools


Recovery Wizard

This topic contains instructions for each page in the Recovery Wizard in the Windows Server Backup MMC snap-in.

Page Details

Getting Started

For instructions for using this wizard, see:

  • Recovering Your Server

  • Recover Files and Folders

  • Recover Applications and Data

  • Recover Volumes

Use this page to specify whether you want to recover the backup stored on the local computer or another computer.

Specify Location Type

If you are recovering from another computer, specify whether the backup is stored on a local drive or a remote shared folder.

Select Backup Location

If you are recovering a backup stored on a local drive, select the drive from the drop-down list.

Specify Remote Folder

If you are recovering a backup stored on a remote shared folder, type the path to the shared folder.

Note

When you created the backup, the folders \WindowsImageBackup\<ComputerName> were added to the shared folder. The backup is stored in <ComputerName>. However, you do not need to append the shared folder name with the added folders.

Select Server

If you are using a backup stored on a hard disk, use this page to select the server whose backup you want to use to perform the recovery.

Select Backup Date

Select the date and time of the backup that you will use to perform the recovery.

Select Recovery Type

Specify whether you will be performing a recovery of files and folders, applications and application data, or volumes.

Select Items to Recover

If you are recovering files and folders, under Available items, expand the list until the folder you want is visible. Click a folder to display the contents of the folder (both files and folders) in the adjacent pane. Then click each item that you want to restore.

Select Volumes

If you are recovering volumes, select the check boxes associated with the volumes that you want to recover in the Source Volume column. Then, from the associated drop-down list in the Destination Volume column, select the location that you want to recover the volume to.

If all the volumes on your server contain system components, you will not be able to perform a volume recovery. Instead, try the following:

  • Try to recover individual files and folders. For instructions, see Recover Files and Folders.

  • If you are trying to restore the system state, use the Wbadmin start systemstaterecovery command. For examples and syntax, see http://go.microsoft.com/fwlink/?LinkId=143757.

  • If you want to recover your entire computer, use the Windows Recovery Environment, and a backup that you created earlier. For instructions, see Recover the Operating System or Full Server.

Select Application

If you are recovering an application, under Applications, click the application you want to recover. If the backup that you are using is the most recent, you will see a check box labeled Do not perform a roll-forward recovery of the application databases. Select this check box if you want to prevent Windows Server Backup from rolling forward the application database that is currently on your server.

Select Location for System State Recovery

Use this page to specify where you want to perform the recovery of the system state to—the original location where you created the backup or another location.

Specify Recovery Options

Specify whether you want to recover items to the original location where you created the backup or another location, what you want to happen if there are items in the backup that are already at the recovery location, and whether to restore access control list (ACL) permissions.

Important

You can copy an application to a different location, but you cannot recover an application to a different location or computer of a different name.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the items will be recovered.

Recovery progress

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To perform recoveries using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a recovery, make sure to reapply BitLocker Drive Encryption to your server. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkID=143722).

Additional resources

  • User Interface: Windows Server Backup

  • Install Windows Server Backup Tools


Catalog Recovery Wizard

This topic contains instructions for each page in the Backup Schedule Wizard in the Windows Server Backup MMC snap-in.

Page Details

Specify Storage Type

For instructions for using this wizard, see Recover a Backup Catalog.

You can use this page to specify where you want to recover the catalog from (either a local drive or remote shared folder), or you can choose to delete the catalog.

Select Backup Location

If you are using a backup stored on a drive, use this page to choose the backup that you want to use to recover the catalog. Select the volume or drive from the drop-down list.

Specify Remote Folder

Use this page if you are recovering the catalog from a backup stored on a remote shared folder. Type the path to the shared folder.

Note

When you created the backup, the folders \WindowsImageBackup\<ComputerName> were added to the shared folder. The backup is stored in <ComputerName>. However, you do not need to append the shared folder name with the added folders.

Select Server

If you are using a backup stored on a hard disk, use this page to select the server whose backup you want to use to perform the recovery.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the catalog will be recovered or deleted.

Summary

View the status of whether the catalog was successfully recovered or deleted.

Additional considerations

  • To recover a backup catalog using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority.

  • This wizard will only appear in Windows Server Backup if the backup catalog is corrupted.

Additional resources

  • User Interface: Windows Server Backup

  • Install Windows Server Backup Tools